Bug 256481 - Crash when resizing jpegs
Summary: Crash when resizing jpegs
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-JPEG (show other bugs)
Version: 1.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-09 23:08 UTC by Vas
Modified: 2019-07-27 16:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vas 2010-11-09 23:08:39 UTC
Application: digikam (1.5.0)
KDE Platform Version: 4.5.3 (KDE 4.5.3) "release 8"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.5-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:
I had selected several jpegs to resize to 600x400. Option was set to delete old file and save to same directory. After several files have already been converted it will crash. Restarting the application with the same actions will eventually crash again. This was not done through the batch process tool.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0xb2121960 (LWP 15274))]

Thread 16 (Thread 0xafe2db70 (LWP 15275)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b0624c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb582b710 in wait (this=0x85f8f28, mutex=0x85f8f24, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x85f8f28, mutex=0x85f8f24, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0830631a in Digikam::ScanController::run (this=0x86159f0) at /usr/src/debug/digikam-1.5.0/digikam/scancontroller.cpp:515
#6  0xb582b04f in QThreadPrivate::start (arg=0x86159f0) at thread/qthread_unix.cpp:248
#7  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#8  0xb4af846e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xaf62cb70 (LWP 15278)):
#0  0xb2da28b7 in g_main_context_release () from /usr/lib/libglib-2.0.so.0
#1  0xb2da411e in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x863d350, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0xb592411d in QEventLoop::processEvents (this=0xaf62c2c0, flags=...) at kernel/qeventloop.cpp:149
#5  0xb5924319 in QEventLoop::exec (this=0xaf62c2c0, flags=...) at kernel/qeventloop.cpp:201
#6  0xb5828403 in QThread::exec (this=0x869a018) at thread/qthread.cpp:487
#7  0xb672a04b in Digikam::ImageFilterModelWorker::Thread::run (this=0x869a018) at /usr/src/debug/digikam-1.5.0/libs/models/imagefiltermodelthreads.h:66
#8  0xb582b04f in QThreadPrivate::start (arg=0x869a018) at thread/qthread_unix.cpp:248
#9  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#10 0xb4af846e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xaee1eb70 (LWP 15279)):
#0  0xb2e4f22b in clock_gettime () from /lib/librt.so.1
#1  0xb594d75c in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb5951b16 in updateCurrentTime (this=0x868846c, tm=...) at kernel/qeventdispatcher_unix.cpp:340
#3  QTimerInfoList::timerWait (this=0x868846c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb595056b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaee1e12c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb595060d in timerSourcePrepare (source=0x8688438, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2da30c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2da3f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x863cf48, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb592411d in QEventLoop::processEvents (this=0xaee1e2c0, flags=...) at kernel/qeventloop.cpp:149
#11 0xb5924319 in QEventLoop::exec (this=0xaee1e2c0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb5828403 in QThread::exec (this=0x863cfc8) at thread/qthread.cpp:487
#13 0xb672a04b in Digikam::ImageFilterModelWorker::Thread::run (this=0x863cfc8) at /usr/src/debug/digikam-1.5.0/libs/models/imagefiltermodelthreads.h:66
#14 0xb582b04f in QThreadPrivate::start (arg=0x863cfc8) at thread/qthread_unix.cpp:248
#15 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#16 0xb4af846e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xada7fb70 (LWP 15282)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b0624c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb582b710 in wait (this=0x86355f8, mutex=0x86355f4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x86355f8, mutex=0x86355f4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb6a33ebb in Digikam::ParkingThread::run (this=0x86355e8) at /usr/src/debug/digikam-1.5.0/libs/threads/threadmanager.cpp:101
#6  0xb582b04f in QThreadPrivate::start (arg=0x86355e8) at thread/qthread_unix.cpp:248
#7  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#8  0xb4af846e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xad27eb70 (LWP 15283)):
#0  0xb2e4f22b in clock_gettime () from /lib/librt.so.1
#1  0xb594d75c in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb5951b16 in updateCurrentTime (this=0x8969bb4, tm=...) at kernel/qeventdispatcher_unix.cpp:340
#3  QTimerInfoList::timerWait (this=0x8969bb4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb595056b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xad27e14c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb595060d in timerSourcePrepare (source=0x8969b80, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2da30c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2da3f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x864f2c8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb592411d in QEventLoop::processEvents (this=0xad27e2e0, flags=...) at kernel/qeventloop.cpp:149
#11 0xb5924319 in QEventLoop::exec (this=0xad27e2e0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb5828403 in QThread::exec (this=0x8967630) at thread/qthread.cpp:487
#13 0xb582b04f in QThreadPrivate::start (arg=0x8967630) at thread/qthread_unix.cpp:248
#14 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#15 0xb4af846e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xaca7db70 (LWP 15284)):
#0  0xb4546fed in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb4b06464 in pthread_mutex_lock () from /lib/libc.so.6
#2  0xb2da2907 in g_main_context_release () from /usr/lib/libglib-2.0.so.0
#3  0xb2da411e in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x86202d0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0xb592411d in QEventLoop::processEvents (this=0xaca7d2e0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5924319 in QEventLoop::exec (this=0xaca7d2e0, flags=...) at kernel/qeventloop.cpp:201
#8  0xb5828403 in QThread::exec (this=0x866bea0) at thread/qthread.cpp:487
#9  0xb582b04f in QThreadPrivate::start (arg=0x866bea0) at thread/qthread_unix.cpp:248
#10 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#11 0xb4af846e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa8d39b70 (LWP 15286)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b062a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaa09f1d7 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4af846e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa80f8b70 (LWP 15287)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b062a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaa0adc41 in video_out_loop () from /usr/lib/libxine.so.1
#4  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4af846e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa78f7b70 (LWP 15288)):
#0  0xb2e4f22b in clock_gettime () from /lib/librt.so.1
#1  0xb594d75c in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb5951b16 in updateCurrentTime (this=0x8d350bc, tm=...) at kernel/qeventdispatcher_unix.cpp:340
#3  QTimerInfoList::timerWait (this=0x8d350bc, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb595056b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa78f70fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb2da30c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb2da3f22 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#8  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x8d34f88, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#9  0xb592411d in QEventLoop::processEvents (this=0xa78f7290, flags=...) at kernel/qeventloop.cpp:149
#10 0xb5924319 in QEventLoop::exec (this=0xa78f7290, flags=...) at kernel/qeventloop.cpp:201
#11 0xb5828403 in QThread::exec (this=0x8d34ba8) at thread/qthread.cpp:487
#12 0xaa0f8dc8 in Phonon::Xine::XineThread::run() () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#13 0xb582b04f in QThreadPrivate::start (arg=0x8d34ba8) at thread/qthread_unix.cpp:248
#14 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#15 0xb4af846e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa70f6b70 (LWP 15292)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4aed75e in poll () from /lib/libc.so.6
#2  0xa852604c in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.29/xineplug_ao_out_alsa.so
#3  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#4  0xb4af846e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa68f5b70 (LWP 15293)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b0624c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaa0b2180 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb4544b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4af846e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa60f4b70 (LWP 15294)):
#0  0xb5950751 in socketNotifierSourceCheck (source=0x93adc98) at kernel/qeventdispatcher_glib.cpp:79
#1  0xb2da37d0 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0xb2da4108 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x93af768, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0xb592411d in QEventLoop::processEvents (this=0xa60f4290, flags=...) at kernel/qeventloop.cpp:149
#6  0xb5924319 in QEventLoop::exec (this=0xa60f4290, flags=...) at kernel/qeventloop.cpp:201
#7  0xb5828403 in QThread::exec (this=0x93b3e50) at thread/qthread.cpp:487
#8  0xb5904afd in QInotifyFileSystemWatcherEngine::run (this=0x93b3e50) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb582b04f in QThreadPrivate::start (arg=0x93b3e50) at thread/qthread_unix.cpp:248
#10 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#11 0xb4af846e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa574ab70 (LWP 15301)):
#0  0xb2e4f22b in clock_gettime () from /lib/librt.so.1
#1  0xb594d75c in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb5951b16 in updateCurrentTime (this=0x9716cb4, tm=...) at kernel/qeventdispatcher_unix.cpp:340
#3  QTimerInfoList::timerWait (this=0x9716cb4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb595056b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa574a0fc) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb595060d in timerSourcePrepare (source=0x9716c80, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2da30c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2da3f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb5950d97 in QEventDispatcherGlib::processEvents (this=0x9711ce8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb592411d in QEventLoop::processEvents (this=0xa574a290, flags=...) at kernel/qeventloop.cpp:149
#11 0xb5924319 in QEventLoop::exec (this=0xa574a290, flags=...) at kernel/qeventloop.cpp:201
#12 0xb5828403 in QThread::exec (this=0x957ace0) at thread/qthread.cpp:487
#13 0xb5904afd in QInotifyFileSystemWatcherEngine::run (this=0x957ace0) at io/qfilesystemwatcher_inotify.cpp:248
#14 0xb582b04f in QThreadPrivate::start (arg=0x957ace0) at thread/qthread_unix.cpp:248
#15 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#16 0xb4af846e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa11fdb70 (LWP 15760)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b0624c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb582a05c in QMutexPrivate::wait (this=0x8613f68, timeout=-1) at thread/qmutex_unix.cpp:84
#4  0xb582641a in QMutex::lock (this=0x860ddbc) at thread/qmutex.cpp:205
#5  0xb69fa4f7 in Digikam::LoadingCache::CacheLock::CacheLock (this=0xa11fd210, cache=0x86c4ed0) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadingcache.cpp:461
#6  0xb6a15a19 in Digikam::ThumbnailLoadingTask::execute (this=0xb6e21f8) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailtask.cpp:136
#7  0xb69f2378 in Digikam::LoadSaveThread::run (this=0x861e310) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadsavethread.cpp:116
#8  0xb6a35006 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x8633df0) at /usr/src/debug/digikam-1.5.0/libs/threads/dynamicthread.cpp:240
#9  0xb5820c2f in QThreadPoolThread::run (this=0x86786e8) at concurrent/qthreadpool.cpp:106
#10 0xb582b04f in QThreadPrivate::start (arg=0x86786e8) at thread/qthread_unix.cpp:248
#11 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#12 0xb4af846e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa4f49b70 (LWP 15925)):
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb4a507ff in raise () from /lib/libc.so.6
#9  0xb4a52140 in abort () from /lib/libc.so.6
#10 0xb4c8e7dd in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#11 0xb4c8c533 in ?? () from /usr/lib/libstdc++.so.6
#12 0xb4c8c56f in std::terminate() () from /usr/lib/libstdc++.so.6
#13 0xb4c8d172 in __cxa_pure_virtual () from /usr/lib/libstdc++.so.6
#14 0xb69faace in Digikam::LoadingCache::notifyNewLoadingProcess (this=0x86c4ed0, process=0xb6d6488, description=...) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadingcache.cpp:169
#15 0xb6a15926 in Digikam::ThumbnailLoadingTask::execute (this=0xb6d63a8) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailtask.cpp:115
#16 0xb69f2378 in Digikam::LoadSaveThread::run (this=0x861e310) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadsavethread.cpp:116
#17 0xb6a35006 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x8633df0) at /usr/src/debug/digikam-1.5.0/libs/threads/dynamicthread.cpp:240
#18 0xb5820c2f in QThreadPoolThread::run (this=0xb1b0070) at concurrent/qthreadpool.cpp:106
#19 0xb582b04f in QThreadPrivate::start (arg=0xb1b0070) at thread/qthread_unix.cpp:248
#20 0xb4544b25 in start_thread () from /lib/libpthread.so.0
#21 0xb4af846e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2121960 (LWP 15274)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4549125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b0624c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb582a05c in QMutexPrivate::wait (this=0x8613f68, timeout=-1) at thread/qmutex_unix.cpp:84
#4  0xb582641a in QMutex::lock (this=0x860ddbc) at thread/qmutex.cpp:205
#5  0xb69fa4f7 in Digikam::LoadingCache::CacheLock::CacheLock (this=0xbf8a4c9c, cache=0x86c4ed0) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/loadingcache.cpp:461
#6  0xb6a0fad9 in Digikam::ThumbnailLoadThread::deleteThumbnail (filePath=...) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailloadthread.cpp:691
#7  0x08175153 in Digikam::KipiInterface::refreshImages (this=0xa4c6260, urls=...) at /usr/src/debug/digikam-1.5.0/utilities/kipiiface/kipiinterface.cpp:165
#8  0x9f8c887d in KIPIBatchProcessImagesPlugin::BatchProcessImagesDialog::slotFinished (this=0xb43fd30) at /usr/src/debug/kipi-plugins-1.5.0/batchprocessimages/batchprocessimagesdialog.cpp:595
#9  0x9f8c9d5c in KIPIBatchProcessImagesPlugin::BatchProcessImagesDialog::qt_metacall (this=0xb43fd30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf8a4fd4)
    at /usr/src/debug/kipi-plugins-1.5.0/build/batchprocessimages/batchprocessimagesdialog.moc:105
#10 0x9f8f850e in KIPIBatchProcessImagesPlugin::ResizeImagesDialog::qt_metacall (this=0xb43fd30, _c=QMetaObject::InvokeMetaMethod, _id=77, _a=0xbf8a4fd4)
    at /usr/src/debug/kipi-plugins-1.5.0/build/batchprocessimages/resizeimagesdialog.moc:69
#11 0xb592aefd in QMetaObject::metacall (object=0xb43fd30, cl=QMetaObject::InvokeMetaMethod, idx=77, argv=0xbf8a4fd4) at kernel/qmetaobject.cpp:237
#12 0xb5939fe8 in QMetaObject::activate (sender=0xb174720, m=0xb5a3f6e8, local_signal_index=2, argv=0xbf8a4fd4) at kernel/qobject.cpp:3295
#13 0xb58bcffd in QProcess::finished (this=0xb174720, _t1=0, _t2=QProcess::NormalExit) at .moc/release-shared/moc_qprocess.cpp:142
#14 0xb58c1edd in QProcessPrivate::_q_processDied (this=0xa53fa18) at io/qprocess.cpp:1051
#15 0xb58c1fb3 in QProcess::qt_metacall (this=0xb174720, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbf8a5168) at .moc/release-shared/moc_qprocess.cpp:115
#16 0xb5ad79de in KProcess::qt_metacall (this=0xb174720, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbf8a5168) at /usr/src/debug/kdelibs-4.5.3/build/kdecore/kprocess.moc:69
#17 0xb592aefd in QMetaObject::metacall (object=0xb174720, cl=QMetaObject::InvokeMetaMethod, idx=21, argv=0xbf8a5168) at kernel/qmetaobject.cpp:237
#18 0xb5939fe8 in QMetaObject::activate (sender=0xb1a48d0, m=0xb5a41550, local_signal_index=0, argv=0xbf8a5168) at kernel/qobject.cpp:3295
#19 0xb59868a5 in QSocketNotifier::activated (this=0xb1a48d0, _t1=63) at .moc/release-shared/moc_qsocketnotifier.cpp:89
#20 0xb593f45f in QSocketNotifier::event (this=0xb1a48d0, e=0xbf8a55c4) at kernel/qsocketnotifier.cpp:317
#21 0xb4e00c64 in QApplicationPrivate::notify_helper (this=0x84c2a10, receiver=0xb1a48d0, e=0xbf8a55c4) at kernel/qapplication.cpp:4302
#22 0xb4e08bf7 in QApplication::notify (this=0xbf8a594c, receiver=0xb1a48d0, e=0xbf8a55c4) at kernel/qapplication.cpp:3706
#23 0xb5e07941 in KApplication::notify (this=0xbf8a594c, receiver=0xb1a48d0, event=0xbf8a55c4) at /usr/src/debug/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#24 0xb5924e0e in QCoreApplication::notifyInternal (this=0xbf8a594c, receiver=0xb1a48d0, event=0xbf8a55c4) at kernel/qcoreapplication.cpp:726
#25 0xb5950708 in sendEvent (source=0x84c5740) at kernel/qcoreapplication.h:215
#26 socketNotifierSourceDispatch (source=0x84c5740) at kernel/qeventdispatcher_glib.cpp:110
#27 0xb2da3b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0xb2da4350 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0xb2da460e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0xb5950d4b in QEventDispatcherGlib::processEvents (this=0x8496a38, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#31 0xb4eb119a in QGuiEventDispatcherGlib::processEvents (this=0x8496a38, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#32 0xb592411d in QEventLoop::processEvents (this=0xbf8a5824, flags=...) at kernel/qeventloop.cpp:149
#33 0xb5924319 in QEventLoop::exec (this=0xbf8a5824, flags=...) at kernel/qeventloop.cpp:201
#34 0xb5928c70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#35 0xb4dfe164 in QApplication::exec () at kernel/qapplication.cpp:3581
#36 0x0837886b in main (argc=) at /usr/src/debug/digikam-1.5.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-11-10 08:44:44 UTC
Marcel,

Another crash in thread interface from digiKam core..

Gilles Caulier
Comment 2 Marcel Wiesweg 2010-11-10 09:58:25 UTC

*** This bug has been marked as a duplicate of bug 255852 ***
Comment 3 caulier.gilles 2019-07-27 16:05:44 UTC
Fixed with bug #255852